cifti::CiftiParcelsMap Class Reference
Inheritance diagram for cifti::CiftiParcelsMap:
[legend]
Collaboration diagram for cifti::CiftiParcelsMap:
[legend]

## Classes

struct | Parcel

## Public Member Functions

bool | hasVolumeData () const
bool | hasSurface (const StructureEnum::Enum &structure) const
bool | hasSurfaceData (const StructureEnum::Enum &structure) const
const VolumeSpace & | getVolumeSpace () const
int64_t | getSurfaceNumberOfNodes (const StructureEnum::Enum &structure) const
int64_t | getIndexForNode (const int64_t &node, const StructureEnum::Enum &structure) const
int64_t | getIndexForVoxel (const int64_t *ijk) const
int64_t | getIndexForVoxel (const int64_t &i, const int64_t &j, const int64_t &k) const
std::vector< StructureEnum::Enum > | getParcelSurfaceStructures () const
const std::vector< Parcel > & | getParcels () const
void | addSurface (const int64_t &numberOfNodes, const StructureEnum::Enum &structure)
void | setVolumeSpace (const VolumeSpace &space)
void | addParcel (const Parcel &parcel)
void | clear ()
CiftiMappingType * | clone () const
MappingType | getType () const
int64_t | getLength () const
bool | operator== (const CiftiMappingType &rhs) const
bool | approximateMatch (const CiftiMappingType &rhs, AString *explanation=NULL) const
void | readXML1 (XmlReader &xml)
void | readXML2 (XmlReader &xml)
void | writeXML1 (XmlWriter &xml) const
void | writeXML2 (XmlWriter &xml) const
Public Member Functions inherited from cifti::CiftiMappingType
bool | operator!= (const CiftiMappingType &rhs) const

## Additional Inherited Members

Public Types inherited from cifti::CiftiMappingType
enum | MappingType { BRAIN_MODELS , PARCELS , SERIES , SCALARS , LABELS }
Static Public Member Functions inherited from cifti::CiftiMappingType
static AString | mappingTypeToName (const MappingType &type)

## Member Function Documentation

## approximateMatch()

bool CiftiParcelsMap::approximateMatch | ( | const CiftiMappingType & | rhs,
|  | AString * | explanation = NULL ) const

virtual

Implements cifti::CiftiMappingType.

## clone()

CiftiMappingType * cifti::CiftiParcelsMap::clone | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## getLength()

int64_t cifti::CiftiParcelsMap::getLength | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## getType()

MappingType cifti::CiftiParcelsMap::getType | ( |  | ) | const

inline virtual

Implements cifti::CiftiMappingType.

## operator==()

bool CiftiParcelsMap::operator== | ( | const CiftiMappingType & | rhs | ) | const

virtual

Implements cifti::CiftiMappingType.

## readXML1()

void CiftiParcelsMap::readXML1 | ( | XmlReader & | xml | ) |

virtual

Implements cifti::CiftiMappingType.

## readXML2()

void CiftiParcelsMap::readXML2 | ( | XmlReader & | xml | ) |

virtual

Implements cifti::CiftiMappingType.

## writeXML1()

void CiftiParcelsMap::writeXML1 | ( | XmlWriter & | xml | ) | const

virtual

Implements cifti::CiftiMappingType.

## writeXML2()

void CiftiParcelsMap::writeXML2 | ( | XmlWriter & | xml | ) | const

virtual

Implements cifti::CiftiMappingType.

The documentation for this class was generated from the following files:

- CiftiParcelsMap.h
- CiftiParcelsMap.cxx